Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006502opensim[REGION] Script Functionspublic2013-01-14 10:332014-07-29 13:42
ReporterTalun 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006502: New constants for llGetObjectDetails
DescriptionFull details in the server release note at http://wiki.secondlife.com/wiki/Release_Notes/Second_Life_Server/12 [^]

The following new constants and associated functionality in llGetObjectDetails are missing:-
OBJECT_CHARACTER_TIME
OBJECT_ROOT
OBJECT_ATTACHED_POINT
OBJECT_PATHFINDING_TYPE
OBJECT_PHYSICS
OBJECT_PHANTOM
OBJECT_TEMP_ON_REZ

also missing are Pathfinding type constants, the first 3 of which are used by llGetObjectDetails and they have all been included:-
OPT_OTHER
OPT_LEGACY_LINKSET
OPT_AVATAR
OPT_CHARACTER
OPT_WALKABLE
OPT_STATIC_OBSTACLE
OPT_MATERIAL_VOLUME
OPT_EXCLUSION_VOLUME
TagsNo tags attached.
Git Revision or version numberHead
Run Mode Standalone (Multiple Regions)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Filespatch file icon 0001-New-constants-for-llGetObjectDetails.patch [^] (7,649 bytes) 2013-01-14 10:34 [Show Content]

- Relationships

-  Notes
(0023422)
Talun (manager)
2013-01-19 01:56

Committed by justincc r/21666

- Issue History
Date Modified Username Field Change
2013-01-14 10:33 Talun New Issue
2013-01-14 10:34 Talun File Added: 0001-New-constants-for-llGetObjectDetails.patch
2013-01-14 10:34 Talun Status new => patch included
2013-01-19 01:56 Talun Note Added: 0023422
2013-01-19 01:56 Talun Status patch included => resolved
2013-01-19 01:56 Talun Fixed in Version => master (dev code)
2013-01-19 01:56 Talun Resolution open => fixed
2013-01-19 01:56 Talun Assigned To => Talun
2013-01-19 01:56 Talun Assigned To Talun =>
2013-01-19 02:21 Talun Assigned To => justincc
2013-01-19 02:21 Talun Status resolved => assigned
2013-01-19 02:21 Talun Status assigned => resolved
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker